X-Authentication-Warning: cassiopeia.home: geert owned process doing -bs
Date: Sat, 7 Mar 1998 20:48:03 +0100 (MET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: L68K: Zorro: Delfina Lite ID
Sender: owner-linux-m68k@phil.uni-sb.de


Recognize the Delfina Lite soundcard. The patch includes support for both
2.0.33 and 2.1.85.

--- linux-2.0.33/arch/m68k/amiga/zorro.c.orig	Sun Dec 21 14:37:31 1997
+++ linux-2.0.33/arch/m68k/amiga/zorro.c	Sat Mar  7 20:39:12 1998
@@ -565,6 +565,7 @@
 
 BEGIN_PROD(PETSOFF)
-   PROD("Delfina DSP", DELFINA)
+   PROD("Delfina Sound Board", DELFINA)
+   PROD("Delfina Lite Sound Board", DELFINA_LITE)
 END
 
 BEGIN_PROD(UWE_GERLACH)
--- linux-2.0.33/include/asm-m68k/zorro.h.orig	Sun Dec 21 14:38:02 1997
+++ linux-2.0.33/include/asm-m68k/zorro.h	Sat Mar  7 20:38:52 1998
@@ -429,6 +429,7 @@
 
 #define MANUF_PETSOFF          (0x38A5)	/* Petsoff LP */
-#define PROD_DELFINA           (0x00)	/* Delfina DSP */
+#define PROD_DELFINA           (0x00)	/* Delfina Sound Board */
+#define PROD_DELFINA_LITE      (0x01)	/* Delfina Lite Sound Board */
 
 #define MANUF_UWE_GERLACH      (0x3FF7)	/* Uwe Gerlach */
 #define PROD_UG_RAM_ROM        (0xd4)	/* RAM/ROM */

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

